﻿Namespace Extensions
    <Extension()> _
    Public Module StringExtensions

        <Extension()>
        Public Sub AppendSeparatorIfNullOrWhiteSpace(ByRef S As String, ByVal separator As String)
            If String.IsNullOrWhiteSpace(S) Then Exit Sub
            S += separator
        End Sub
        <Extension()>
        Public Sub AppendSeparatorIfNullOrEmpty(ByRef S As String, ByVal separator As String)
            If String.IsNullOrEmpty(S) Then Exit Sub
            S += separator
        End Sub
        <Extension()>
        Public Sub AppendWithNullOrEmptySeparator(ByRef S As String, ByVal value As String, ByVal separator As String)
            If Not String.IsNullOrEmpty(S) Then S += separator
            S += value
        End Sub
        <Extension()>
        Public Sub AppendWithWhiteSpaceSeparator(ByRef S As String, ByVal value As String, ByVal separator As String)
            If Not String.IsNullOrWhiteSpace(S) Then S += separator
            S += value
        End Sub
    End Module
End Namespace
