﻿Public Interface IEventBindingSource

    Function GetBindings() As IEnumerable(Of EventBinding)
    Function GetBindings(ByVal [event] As EventData) As IEnumerable(Of EventBinding)
    Sub ResetBindings(ByVal [event] As EventData)

    Function Add(ByVal eventName As String, ByVal eventSource As Object,
                   ByVal handlerID As Object, ByVal handlerProvider As IEventHandlerProvider, ByVal handlerSource As Object,
                   ByVal mediationFactory As IEventMediatorFactory, ByVal mediationMode As MediationMode) As EventBinding
    Sub Add(ByVal binding As EventBinding)
    Sub Remove(ByVal binding As EventBinding)

End Interface
