﻿Imports System.ComponentModel.Design
Imports System.ComponentModel.Design.Serialization
Imports System.Drawing.Design
Imports System.Windows.Forms.Design
Imports System.Reflection
Imports System.CodeDom
Imports EventBindings.Extensions

Namespace Extensions
    <Extension()> _
    Public Module CodeDomExtensions

        <Extension()>
        Public Function ContainsNameComments(ByVal STATEMENTS As CodeStatementCollection, ByVal name As String) As Boolean
            If STATEMENTS Is Nothing Then Return False
            For Each Item In STATEMENTS
                If Not TypeOf Item Is CodeCommentStatement Then Continue For
                If String.Equals(DirectCast(Item, CodeCommentStatement).Comment.Text, name, StringComparison.InvariantCultureIgnoreCase) Then
                    Return True
                End If
            Next
            Return False
        End Function
        <Extension()>
        Public Sub AddNameComments(ByVal STATEMENTS As CodeStatementCollection, ByVal name As String)
            STATEMENTS.Add(New CodeCommentStatement(""))
            STATEMENTS.Add(New CodeCommentStatement(name))
            STATEMENTS.Add(New CodeCommentStatement(""))
        End Sub

    End Module
End Namespace
