﻿Imports EventBindings.Extensions
Public Module Helper

    Public Function GetDataSourceType(ByVal dataSource As Object) As Type
        If dataSource Is Nothing Then Return Nothing
        If TypeOf dataSource Is Type Then Return DirectCast(dataSource, Type)
        If TypeOf dataSource Is BindingSource Then
            Dim BS = DirectCast(dataSource, BindingSource)
            Return GetDataSourceType(BS.DataSource)
        End If
        Return dataSource.GetType
    End Function
    Public Function GetDataSourceValue(ByVal dataSource As Object) As Object
        If dataSource Is Nothing Then Return Nothing
        If TypeOf dataSource Is BindingSource Then
            Dim BS = DirectCast(dataSource, BindingSource)
            Return BS.DataSource
        End If
        Return dataSource
    End Function

End Module
